<script setup>
  import ClickCounter from '@/components/ClickCounter.vue'
  import { ref } from 'vue'
  import UserArray from '@/components/UserArray.vue'

  const showCounter = ref(0)
</script>

<template>
  <main>
    <button type="button" class="btn btn-primary" @click="showCounter++">Toggle Counter</button>
    {{showCounter}}

    <UserArray/>

    <template v-if="showCounter">
      <div v-for="(n, index) in showCounter">
        {{n}}
        {{index}}
        <ClickCounter/>
      </div>
    </template>
    <div v-else>Counter sind versteckt</div>
  </main>
</template>

<style scoped>

</style>
